Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class VisualizationViewer.GraphMouseImpl

    java.lang.Object
      java.awt.event.MouseAdapter
          edu.uci.ics.jung.visualization.VisualizationViewer.GraphMouseImpl

All Implemented Interfaces:
  EventListener, MouseListener, MouseMotionListener, MouseWheelListener, VisualizationViewer.GraphMouse

Enclosing class:
  VisualizationViewer

protected final class VisualizationViewer.GraphMouseImpl
extends MouseAdapter
implements VisualizationViewer.GraphMouse

this is the original GraphMouse class, renamed to use GraphMouse as the interface name, and updated to correctly apply the vv transform to the point point

Field Summary
`protected Vertex` | `picked`

Constructor Summary
`protected` | `VisualizationViewer.GraphMouseImpl()`

Method Summary
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`void` | `mouseWheelMoved(MouseWheelEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited`

Field Detail

### picked

    protected Vertex picked

Constructor Detail

### VisualizationViewer.GraphMouseImpl

    protected VisualizationViewer.GraphMouseImpl()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)

  Specified by:
    `mouseWheelMoved` in interface `MouseWheelListener`
  See Also:
    `MouseWheelListener.mouseWheelMoved(java.awt.event.MouseWheelEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD